package com.example.erdbebensender;

import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import com.android.volley.RequestQueue;
import com.android.volley.toolbox.Volley;
import lombok.SneakyThrows;

public class FirstFragment extends Fragment {

    private static final String TAG = "MessageSender";
    MessageSender messageSender = new MessageSender();

    @Override
    public View onCreateView(
            LayoutInflater inflater, ViewGroup container,
            Bundle savedInstanceState
    ) {
        // Inflate the layout for this fragment
        return inflater.inflate(R.layout.fragment_first, container, false);
    }

    public void onViewCreated(@NonNull View view, Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);

        view.findViewById(R.id.button_first).setOnClickListener(new View.OnClickListener() {

            @Override
            public void onClick(View view) {
                try {
                    ErdbebenParameter erdbebebenParam = new ErdbebenParameter();
                    erdbebebenParam.setX("200");
                    erdbebebenParam.setY("200");
                    erdbebebenParam.setV("10");
                    erdbebebenParam.setSender("TOKEN");
                    //messageSender.sendMessage(erdbebebenParam);
                }
                catch (Exception e)
                {
                    Log.i("ErdbebenMessage", "Fehler aufgetretten");
                }

            }
        });
    }
}